_:

{
  home-manager.users.moritz.programs.nixvim = {
    autoCmd = [
      {
        event = [ "VimEnter" ];
        callback.__raw = ''
          function()
            if vim.fn.len(vim.api.nvim_get_vvar("argv")) <= 8 then
              require("telescope.builtin").find_files()
            end
          end
        '';
      }
    ];
    plugins = {
      telescope = {
        enable = true;
        extensions.fzf-native.enable = true;
        settings.defaults.__raw = ''
          require("telescope.themes").get_ivy({
            layout_config = {
              height = 0.75
            }
          })
        '';
        keymaps = {
          "<leader>ff" = {
            action = "find_files";
            options.desc = "Find files";
          };
          "<leader>fb" = {
            action = "buffers";
            options.desc = "Find buffers";
          };
          "<leader>fl" = {
            action = "current_buffer_fuzzy_find";
            options.desc = "Search lines";
          };
          "<leader>fg" = {
            action = "live_grep";
            options.desc = "Live grep";
          };
          "<leader>fh" = {
            action = "help_tags";
            options.desc = "Help tags";
          };
          "<leader>fr" = {
            action = "oldfiles";
            options.desc = "Recent files";
          };
          "<leader>fc" = {
            action = "commands";
            options.desc = "Commands";
          };
        };
      };
      web-devicons.enable = true;
    };
  };
}
